﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows;
using Telerik.Windows.Controls;

namespace _292357_DragDropTreeViewToTreeView
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.treeView1.ItemsSource = this.GenerateData();
			this.treeView2.ItemsSource = this.GenerateData();
		}

		private ObservableCollection<Company>GenerateData()
		{
			ObservableCollection<Company> result = new ObservableCollection<Company>();

			for (int i = 0; i < 5; i++)
			{
				Company c = new Company() { Name = String.Format("Company {0}", i) };

				for (int j = 0; j < 6; j++)
				{
					Department d = new Department() { Name = String.Format("Department {0}", j) };

					for (int k = 0; k < 8; k++)
					{
						Employee e = new Employee() { Name = String.Format("Employee {0}", k) };
						d.Employees.Add(e);
					}
					c.Departments.Add(d);
				}
				result.Add(c);
			}
			return result;
		}
	}
}
