﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using _292357_DragDropTreeViewToTreeView;

namespace _292357_DragDropTreeViewToTreeView
{
	public class MyTemplateSelector : DataTemplateSelector
	{
		public DataTemplate CompanyTemplate { get; set; }
		public DataTemplate DepartmentTemplate { get; set; }
		public DataTemplate EmployeeTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if (item is Company && CompanyTemplate != null)
			{
				return CompanyTemplate;
			}

			if (item is Department && DepartmentTemplate != null)
			{
				return DepartmentTemplate;
			}
			if (item is Employee && EmployeeTemplate != null)
			{
				return EmployeeTemplate;
			}

			//Fallback
			return new DataTemplate();
		}

	}
}
